import macondo.mjada.SpaceServer;
import macondo.mjada.SpaceClient;
import macondo.mjada.Tuple;
import jada.JadaNetConst;

public class ChatServer {
	public static void main(String[] args) {
		SpaceServer server;
		int port = JadaNetConst.DEFAULT_PORT;
		boolean verbose = false;
		
		// parse cmd line switches
		for(int i=0; i < args.length; i++) {
			if (args[i].equals("-p")) {
				try {
					port = Integer.parseInt(args[++i]);
				} catch (NumberFormatException e) {
					System.out.println("Bad port number, default used.");
				}
			} else if (args[i].equals("-v")) {
				verbose = true;
			} else if (args[i].startsWith("-")) {
				System.out.println("Unknown option.");
				System.exit(-1);
			}
		}
		
		// set up the server
		server = new SpaceServer(port);
		server.setVerbose(verbose);
		new Thread(server).start();

		server.waitToStart();
		
		SpaceClient client = new SpaceClient();
		client.out(new Tuple("_index",new Integer(0)));
	}
	
	
}