package macondo.mak;

/**
 *
 *	The Pair class is an association destination/task.
 *
 *	@author		Andrea Giovannini
 *	@version	beta
 *	@see		PlaceName
 */

public class Pair implements java.io.Serializable {
	private PlaceName	pn;
	private String		methodName;
	
	// Constructors ------------------------------------------------------

	/**
	 *	Creates a new <code>Pair</code>.
	 *
	 *	@param	pn			the name of the place.
	 *	@param	methodName	the name of the method to execute.
	 */
	public Pair(PlaceName pn, String methodName) {
		this.pn = pn;
		this.methodName = methodName;
	}
	
	// Public Methods ----------------------------------------------------
	
	/**
	 *	Gets place name.
	 *
	 *	@return		place name.
	 */
	public PlaceName getPlace() {
		return pn;
	}
	
	/**
	 *	Gets method name.
	 *
	 *	@return 	method name.
	 */
	public String getMethodName() {
		return methodName;
	}
}