package macondo.mjada.collections;

import macondo.mjada.Tuple;

/**
 *	An object that implements the <code>TupleIterator</code> interface
 *	returns a sequence of tuples inside a collection. Successive calls
 *	to the <code>nextTuple()<code> method returns successive tuples in
 *	the collection.
 *
 *	@author		Andrea Giovannini
 *	@version	beta
 */

public interface TupleIterator {

	// Public Methods ----------------------------------------------------
	
	/**
	 *	Returns the next tuple in the iteration.
	 *
	 *	@return		the next tuple in the iteration.
	 */
	public Tuple nextTuple();
	
}
