package macondo.util;

import java.io.PrintWriter;
import java.io.ByteArrayOutputStream;

/**
 *	A class containing some useful functions
 *
 *	@author Andrea Giovannini
 *	@version beta
 */

public final class util {
	
	/** Don't let anyone instantiate this class */
	private util() {}
	
	// Public Methods ----------------------------------------------------

	/**
	 *	Assertion. Tests a boolean expression and exits if
	 *	it is false.
	 *
	 *	@param	expr	the boolean expression to test.
	 *	@param	msg		description of the assertion.
	 */
	public static void assert(boolean expr, String msg) {
		if (!expr) {
			System.err.println("Assertion ["+msg+"] failed at");
			
			Throwable t = new Throwable();
			ByteArrayOutputStream os = new ByteArrayOutputStream();
			PrintWriter ps = new PrintWriter(os);
			t.printStackTrace(ps);
			System.out.println( os.toString() );

			System.exit(1);
		}
	}
	
	/**
	 *	Simple debugging code execute every time an exception
	 *	is raised.
	 *
	 *	@param	e	the exception.
	 */
	public static void exc(Exception e) {
		System.out.println(e.getMessage());
		e.printStackTrace();
		// System.exit(0);
	}
	
	/**
	 *	Prints a debugging message on standard output.
	 *
	 *	@param	s	the debugging message.
	 */
	public static void debug(String s) {
		System.out.println(s);
	}
	
	/**
	 *	Prints an error message on standard error.
	 *
	 *	@param	s	the error message.
	 */
	public static void err(String s) {
		System.err.println(s);
	}
	
}